# Extension (Crawler-commons 1.1 API)
Date: 2020-06-25

crawlercommons.sitemaps.extension

## Enum Extension

- java.lang.Object
- - java.lang.Enum<Extension>
  - - crawlercommons.sitemaps.extension.Extension

All Implemented Interfaces:
  Serializable, Comparable<Extension>

    public enum Extension
    extends Enum<Extension>

Sitemap extensions supported by the parser.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`IMAGE` Google Image sitemaps, see https://support.google.com/webmasters/answer/178636
`LINKS` Usage of `<xhtml:links>` in sitemaps to include localized page versions/variants, see https://support.google.com/webmasters/answer/189077
`MOBILE` Mobile sitemaps just contain an empty "mobile" tag to identify a URL as having mobile content, cf.
`NEWS` Google News sitemaps, see https://support.google.com/news/publisher-center/answer/74288
`VIDEO` Google Video sitemaps, see https://support.google.com/webmasters/answer/80471

### Method Summary

All Methods Static Methods Concrete Methods
`static Extension` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Extension[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NEWS

    public static final Extension NEWS

Google News sitemaps, see https://support.google.com/news/publisher-center/answer/74288

#### IMAGE

    public static final Extension IMAGE

Google Image sitemaps, see https://support.google.com/webmasters/answer/178636

#### VIDEO

    public static final Extension VIDEO

Google Video sitemaps, see https://support.google.com/webmasters/answer/80471

#### LINKS

    public static final Extension LINKS

Usage of `<xhtml:links>` in sitemaps to include localized page versions/variants, see https://support.google.com/webmasters/answer/189077

#### MOBILE

    public static final Extension MOBILE

Mobile sitemaps just contain an empty "mobile" tag to identify a URL as having mobile content, cf. http://www.google.com/schemas/sitemap-mobile/1.0

### Method Detail

#### values

    public static Extension[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Extension c : Extension.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Extension valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null